csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator Class Reference

Iterator for the csArray class. More...

`#include <csutil/array.h>`

List of all members.

## Public Member Functions
bool | HasNext () const
| Return true if the next Next() call will return an element.
| Iterator (Iterator const &r)
| Copy constructor.
T & | Next ()
| Return the next element in the array and increment the iterator.
Iterator & | operator= (Iterator const &r)
| Assignment operator.
void | Reset ()
| Reset the iterator to the first element.
## Friends
class | csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >

## Detailed Description

### template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Container::ArrayAllocDefault, class CapacityHandler = CS::Container::ArrayCapacityDefault>
class csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator

Iterator for the csArray class.

Definition at line 1201 of file array.h.

## Constructor & Destructor Documentation

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Container::ArrayAllocDefault, class CapacityHandler = CS::Container::ArrayCapacityDefault>

csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::Iterator | ( | Iterator const & | r | ) | `[inline]`

Copy constructor.

Definition at line 1205 of file array.h.

## Member Function Documentation

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Container::ArrayAllocDefault, class CapacityHandler = CS::Container::ArrayCapacityDefault>

bool csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::HasNext | ( |  | ) | const`[inline]`

Return true if the next Next() call will return an element.

Definition at line 1213 of file array.h.

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Container::ArrayAllocDefault, class CapacityHandler = CS::Container::ArrayCapacityDefault>

T& csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::Next | ( |  | ) | `[inline]`

Return the next element in the array and increment the iterator.

Definition at line 1217 of file array.h.

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Container::ArrayAllocDefault, class CapacityHandler = CS::Container::ArrayCapacityDefault>

Iterator& csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::operator= | ( | Iterator const & | r | ) | `[inline]`

Assignment operator.

Definition at line 1209 of file array.h.

template<class T, class ElementHandler = csArrayElementHandler<T>, class MemoryAllocator = CS::Container::ArrayAllocDefault, class CapacityHandler = CS::Container::ArrayCapacityDefault>

void csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator::Reset | ( |  | ) | `[inline]`

Reset the iterator to the first element.

Definition at line 1221 of file array.h.

The documentation for this class was generated from the following file:

- csutil/array.h